<mat-nav-list>
    <a mat-list-item routerLink="/" (click)="onSidenavClose()">
        <mat-icon>home</mat-icon> <span class="nav-caption">Acasă</span>
    </a>
    <a mat-list-item routerLink="/spitale" (click)="onSidenavClose()">
        <mat-icon>local_hospital</mat-icon> <span class="nav-caption">Spitale</span>
    </a>
    <a *ngIf="!isUserLoggedIn()" mat-list-item routerLink="/autentificare" (click)="onSidenavClose()">
        <mat-icon>login</mat-icon> <span class="nav-caption">Autentificare</span>
    </a>
    <ng-container *ngIf="isUserLoggedIn()">
        <ng-container *ngIf="isUserEmployee()">
            <a mat-list-item routerLink="/pacienti" (click)="onSidenavClose()">
                <mat-icon>group</mat-icon> <span class="nav-caption">Pacienți</span>
            </a>
            <a mat-list-item routerLink="/personal" (click)="onSidenavClose()">
                <mat-icon>badge</mat-icon> <span class="nav-caption">Personal</span>
            </a>
            <a *ngIf="isUserDoctor()" mat-list-item routerLink="/personal/doctori/{{getUser().ownerId}}/operatii" (click)="onSidenavClose()">
                <mat-icon>masks</mat-icon> <span class="nav-caption">Operații</span>
            </a>
        </ng-container>
        <ng-container *ngIf="!isUserEmployee()">
            <a mat-list-item routerLink="/pacienti/{{getUser().ownerId}}/programari" (click)="onSidenavClose()">
                <mat-icon>calendar_today</mat-icon> <span class="nav-caption">Programări</span>
            </a>
            <a mat-list-item routerLink="/pacienti/{{getUser().ownerId}}/internari" (click)="onSidenavClose()">
                <mat-icon>bed</mat-icon> <span class="nav-caption">Internări</span>
            </a>
        </ng-container>
        <ng-container *ngIf="!isUserAdmin()">
            <a mat-list-item routerLink="/profil" (click)="onSidenavClose()">
                <mat-icon>perm_identity</mat-icon> <span class="nav-caption">Profilul meu</span>
            </a>
        </ng-container>
        <a mat-list-item routerLink="/deconectare" (click)="onSidenavClose(); logout()">
            <mat-icon>logout</mat-icon> <span class="nav-caption">Deconectare</span>
        </a>
    </ng-container>
</mat-nav-list>
